<template>
<div class="container-fluid bg-tabby">
  <div class="row pt-3 ml-3 text-center">
    <h1 class="text-white"><font-awesome-icon icon="user"/> ส่วนผู้ใช้</h1>
    </div>
  <div class="row mt-4">
 <div class="col-md-12 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs text-secondary font-weight-bold text-uppercase mb-1">ข้อมูลผู้ใช้ที่เข้าติดต่อ</div>
                      <div class="row no-gutters align-items-center">
                        <div class="col-auto">
                          <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800"><span class="text-danger"><font-awesome-icon icon="exclamation-circle"/> สถานะความสุ่มเสี่ยง: </span>
                             <span v-if="analyse_data.patient_status=='normal'" class="text-secondary">ปกติ</span>
                            <span v-else-if="analyse_data.patient_status=='mild'" class="text-success">ซึมเศร้าขั้นต้น</span>
                            <span v-else-if="analyse_data.patient_status=='moderate'" class="text-warning">ซึมเศร้าขั้นปานกลาง</span>
                            <span v-else-if="analyse_data.patient_status=='severe'" class="text-danger">ซึมเศร้าขั้นปลาย</span>
                            <span v-else class="text-secondary"><b-spinner small label="Small Spinner" variant="secondary"/> กำลังโหลด...</span>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                  </div>
                  <div class="ml-4">
                  <div class="row">
                    <div class="col-md-3">
                      <table class="table table-borderless">
                          <tbody>
                          <tr>
                            <td align="right"><strong>ชื่อ-สกุล: </strong></td>&nbsp;<td align="left">มาโนช แสงจันทร์</td>
                          </tr>
                          <tr>
                            <td align="right"><strong>อายุ: </strong></td>&nbsp;<td align="left">16 ปี</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>โทร: </strong></td>&nbsp;<td align="left">08-888-8888</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>เบอร์โทรญาติ: </strong></td>&nbsp;<td align="left">08-888-8888</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>นอน: </strong></td>&nbsp;<td align="left">6 ชม./วัน</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>ผลการทำแบบสอบถาม: </strong></td>&nbsp;<td align="left">เป็นโรคซึมเศร้ารุนแรง</td>
                          </tr>
                          </tbody>
                      </table>
                    </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
  </div>
    <div class="row">
    <div class="col-md-4 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs text-secondary font-weight-bold text-uppercase mb-1"><font-awesome-icon icon="clock"/> เวลาที่มีการเคลื่อนไหว</div>
                      <div class="row no-gutters align-items-center">
                        <div class="col-auto">
                          <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">{{ analyse_data.active_time_avg }} นาที</div>
                        </div>
                      </div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <div class="col-md-4 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs text-secondary font-weight-bold text-uppercase mb-1"><font-awesome-icon icon="clock"/> เวลาที่อยู่ในที่อับแสง</div>
                      <div class="row no-gutters align-items-center">
                        <div class="col-auto">
                          <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">{{ analyse_data.light_time_avg }} นาที</div>
                        </div>
                      </div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
    </div>
    </div>
</div>
</template>

<script>
export default {
  data() {
    return {
      analyse_data: {
        light_time: 2,
        active_time: 3,
        emergency: 0,
        request: 0,
        active_time: [
            9,
            8,
            1,
            7.899995
        ],
        active_time_avg: 25.89999,
        light_time: [
            14,
            543,
            20.90004,
            71.99947
        ],
        light_time_avg: 649.8995,
        patient_status: 'ระดับน้อย'
          },
          risk_percentage: 50
        }
        
  },
  methods: {
    callPatientToAction() {
      this.$axios.post('https://exceed.superposition.pknn.dev/data/ccat88', {
      })
    },
    async emergencyCall() {
      const { data } = await this.$axios.get('https://exceed.superposition.pknn.dev/data/ccat88')
      this.analyse_data = data
      this.analyse_data.emergency = 1
      await this.$axios.post('https://exceed.superposition.pknn.dev/data/ccat88', {
        data: this.analyse_data
      })
    }
    // ,
    // async get_data(){
    //   const{ data } = await this.$axios.get('get data from server url!!!!!!!!!!')
    //   const raw_data = data
    //   this.analyse_data = raw_data},
    // async post_data(){
    //   analyse_data.light_time = raw_data.light_time
    //   analyse_data.active_time = raw_data.active_time
    //   const { data } = await $axios.post('url page!!!!!!!!!!!!!',{
    //       data:this.analyse_data
    //   })
    // }
  },
  mounted() {
    setInterval(async () => {
      const { data } = await this.$axios.get('https://exceed.superposition.pknn.dev/data/ccat88')
      this.analyse_data = data
      await this.$axios.post('/analyse/')
    }, 1000)
  }
}
</script>

<style>

</style>
